Emil多个缓冲区溢出格式串漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1201846 漏洞类型 未知
发布时间 2004-04-15 更新时间 2004-04-15
CVE编号 CVE-2004-0152 CNNVD-ID CNNVD-200404-056
漏洞平台 N/A CVSS评分 7.5
|漏洞来源
https://www.securityfocus.com/bid/82695
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200404-056
|漏洞详情
emil是一款转换Internet邮件消息的过滤器。emil存在多个缓冲区溢出和格式串问题,远程攻击者可以利用这个漏洞以软件进程权限在系统上执行任意指令。具体问题如下:CAN-2004-0152-encode_mime、encode_uuencoden、decode_uuencode函数存在缓冲区溢出,这些漏洞允许构建特殊EMAIL消息,当emil进行处理时可能导致任意指令执行。CAN-2004-0153-当打印各种错误消息时存在格式串问题,可造成拒绝服务,存在执行任意指令的可能。
|受影响的产品
emil emil 3.1.3 emil emil 2.1.0 Beta9 emil emil 2.0.5
|参考资料

来源:DEBIAN
名称:DSA-468
链接:http://www.debian.org/security/2004/dsa-468
来源:XF
名称:emil-email-bo(15601)
链接:http://xforce.iss.net/xforce/xfdb/15601
来源:BUGTRAQ
名称:20040325Re:[SECURITY][DSA468-1]Newemilpackagesfixmultiplevulnerabilities
链接:http://marc.theaimsgroup.com/?l=bugtraq&m=108024939827236&w=2